Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class Sheet.Set

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node.PropertySet
              org.openide.nodes.Sheet.Set

Enclosing class:
  Sheet

    public static final class Sheet.Set

extends Node.PropertySet

A set of Bean properties.

Constructor Summary
`Sheet.Set()` Default constructor.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a property change listener.
`Sheet.Set` | `cloneSet()` Clone the property set.
`Node.Property` | `get(String name)` Get a property by name.
`Node.Property[]` | `getProperties()` Get all properties in this set.
`Node.Property` | `put(Node.Property p)` Add a property to this set, replacing any old one with the same name.
`void` | `put(Node.Property[] ar)` Add several properties to this set, replacing old ones with the same names.
`Node.Property` | `remove(String name)` Remove a property from the set.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove a property change listener.

Methods inherited from class org.openide.nodes.Node.PropertySet
`equals, getHtmlDisplayName, hashCode`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sheet.Set

    public Sheet.Set()

  Default constructor.

Method Detail

### cloneSet

    public Sheet.Set cloneSet()

  Clone the property set.

  Returns:
    the clone

### get

    public Node.Property get(String name)

  Get a property by name.

  Parameters:
    `name` - name of the property
  Returns:
    the first property in the list that has this name, `null` if not found

### getProperties

    public Node.Property[] getProperties()

  Get all properties in this set.

  Specified by:
    `getProperties` in class `Node.PropertySet`
  Returns:
    the properties

### put

    public Node.Property put(Node.Property p)

  Add a property to this set, replacing any old one with the same name.

  Parameters:
    `p` - the property to add
  Returns:
    the property with the same name that was replaced, or `null` for a fresh insertion

### put

    public void put(Node.Property[] ar)

  Add several properties to this set, replacing old ones with the same names.

  Parameters:
    `ar` - properties to add

### remove

    public Node.Property remove(String name)

  Remove a property from the set.

  Parameters:
    `name` - name of the property to remove
  Returns:
    the removed property, or `null` if it was not there to begin with

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Add a property change listener.

  Parameters:
    `l` - the listener to add

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Remove a property change listener.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.